# Yahoo! UI Library

### event-custom 3.3.0

Yahoo! UI Library > event-custom > EventFacade
Search:
Filters Show Private Show Protected Show Deprecated

## Class EventFacade

Wraps and protects a custom event for use when emitFacade is set to true. Requires the event-custom-complex module

### Properties

#### currentTarget - `Node`

Node reference for the element that the listener was attached to.

#### details - `Array`

The arguments passed to fire

#### relatedTarget - `Node`

Node reference to the relatedTarget

#### target - `Node`

Node reference for the targeted eventtarget

#### type - `string`

The event type, this can be overridden by the fire() payload

### Methods

#### halt

`void halt ( immediate )`
Stops the event propagation and prevents the default event behavior.

Parameters:
  `immediate <boolean>` if true additional listeners on the current target will not be executed

#### preventDefault

`void preventDefault ( )`
Prevents the event's default behavior

#### stopImmediatePropagation

`void stopImmediatePropagation ( )`
Stops the propagation to the next bubble target and prevents any additional listeners from being exectued on the current target.

#### stopPropagation

`void stopPropagation ( )`
Stops the propagation to the next bubble target

Copyright © 2011 Yahoo! Inc. All rights reserved.